INNCHECK(8)

NAME
inncheck - check inn configuration and database files.

SYNOPSIS
inncheck [ -a ] [ -v ] [ -pedantic ] [ -f ] [ -perm ] [ -noperm ] [ file=value | file ]

DESCRIPTION
Inncheck examines various configuration files and databases and verifies things about them. Things verified depend on the file being checked, but generally are things like permissions, ownership, syntax errors in config files etc.

Inncheck does not make changes to any files — it just reports what it thinks may be wrong, and it is up to the operator to fix the problem.

The set of files checked may be restricted by using file or file=value arguments. For example, putting hosts.nntp causes only the hosts.nntp(5) file to be checked. Using hosts.nntp=/tmp/hosts.nntp.tst on the command line will cause inncheck to only verify the hosts.nntp file, and it will perform the checks on the file /tmp/hosts.nntp file instead of the default one.

Valid values for file are:

        active
        control.ctl
        expire.ctl
        hosts.nntp
        inn.conf
        moderators
        newsfeeds
        overview.fmt
        nnrp.access
        nntpsend.ctl
        passwd.nntp

OPTIONS

-a  If any ``file'' value or ``file=value'' pairs (see below) are given, then normally only the files they refer to are checked. Use the ``-a'' flag to specify that all files should be checked regardless. In this case the form file=value will be the more useful.

-v  Use the ``-v'' option to get more verbose output.

-pedantic
    Use the ``-pedantic option to get reports on things that are not necessarily wrong, but may indicate a bad configuration — such as inn.conf(5) missing a key.

-f  Use the ``-f'' flag to have inncheck print the appropriate chown/chgrp/chmod command necessary to fix a problem that it reports. Any other output lines will be prefixed with a ``#'' character to make the output be valid input for a shell. Note that the ``-perm'' flag must be used as well when using this flag.

-perm
    Inncheck checks all files for permission problems. If the ``-perm'' flag is used, then only the files specified by the file or file=value command line arguments will be checked for problems other than permission problems.

-noperm
    To avoid doing any checking of file permissions or ownership, use the ``-noperm'' option.

EXAMPLES

To have inncheck check all files for syntax and permission problems simply:

    inncheck

To have inncheck check all files for permission problems and to verify the syntax of the active and hosts.nntp files do:

    inncheck -perm active hosts.nntp

To have inncheck check the test newsfeeds file in /var/tmp/newsfeeds.testing, do:

    inncheck newsfeeds=/var/tmp/newsfeeds.testing

To have inncheck check all the files as it normally does, but to specify a different location for the newsfeeds file, so:

    inncheck -a newsfeeds=/var/tmp/newsfeeds.testing

BUGS
If the ``-f'' and ``-perm'' options are used together, along with -a or some ``file'' or ``file=value'' arguments that refer to a file with a syntax problem, then the output will no longer be valid input for a shell.

HISTORY
Written by Brendan Kehoe <brendan@cygnus.com> and Rich Salz <rsalz@uunet.uu.net>

SEE ALSO
active(5), expire.ctl(5), history(5), hosts.nntp(5), inn.conf(5), newsfeeds(5)